Package opennlp.tools.lemmatizer

## Class DefaultLemmatizerContextGenerator

- java.lang.Object
- - opennlp.tools.lemmatizer.DefaultLemmatizerContextGenerator

- All Implemented Interfaces:
    `LemmatizerContextGenerator`, `BeamSearchContextGenerator<String>`

      public class DefaultLemmatizerContextGenerator
      extends Object
      implements LemmatizerContextGenerator

  Simple feature generator for learning statistical lemmatizers.

  Features based on Grzegorz Chrupała. 2008. Towards a Machine-Learning Architecture for Lexical Functional Grammar Parsing. PhD dissertation, Dublin City University

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultLemmatizerContextGenerator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getContext​(int index, String[] sequence, String[] priorDecisions, Object[] additionalContext)` | Returns the context for the specified position in the specified `sequence` (list).
    `String[]` | `getContext​(int index, String[] toks, String[] tags, String[] preds)` | Returns the contexts for lemmatizing of the specified index.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLemmatizerContextGenerator

          public DefaultLemmatizerContextGenerator()

  - ### Method Detail

    - #### getContext

          public String[] getContext​(int index,
                                     String[] sequence,
                                     String[] priorDecisions,
                                     Object[] additionalContext)

      Description copied from interface: `BeamSearchContextGenerator`
      Returns the context for the specified position in the specified `sequence` (list).
      Specified by:
        `getContext` in interface `BeamSearchContextGenerator<String>`
      Parameters:
        `index` - The index of the `sequence`.
        `sequence` - The sequence of `items` over which the beam search is performed.
        `priorDecisions` - The sequence of decisions made prior to the context for which this decision is being made.
        `additionalContext` - Any addition context specific to a class implementing this interface.
      Returns:
        The context for the specified `index` in the specified `sequence`.

    - #### getContext

          public String[] getContext​(int index,
                                     String[] toks,
                                     String[] tags,
                                     String[] preds)

      Description copied from interface: `LemmatizerContextGenerator`
      Returns the contexts for lemmatizing of the specified index.
      Specified by:
        `getContext` in interface `LemmatizerContextGenerator`
      Parameters:
        `index` - The index of the token in the specified `toks` array for which the context should be constructed.
        `toks` - The tokens of the sentence. The `toString()` methods of these objects should return the token text.
        `tags` - The POS tags for the specified `toks`.
        `preds` - The previous decisions made in the tagging of this sequence. Only indices less than `i` will be examined.
      Returns:
        An array of predictive contexts on which a model basis its decisions.